package cn.com.countrygarden.bi.main.model.resident;

import java.util.HashMap;
import java.util.Map;

/**
 * Created by chenweijiang on 2017/11/13.
 */
public interface ContractConstant {

    String EMPTY_FLOAT_AMOUNT = "无";

    public interface ContractType {
        String CACHE_KEY = "biapp:resident:contract:type";
        int EXPIRED_TIME = 60 * 60 * 6;
    }

    public interface PaymentMethod {
        String CACHE_KEY = "biapp:resident:paymentmethod";
        int EXPIRED_TIME = 60 * 60 * 6;

        String ONCE = "一次性";
        String MONTH = "按月";
        String SEASION = "按季度";
    }

    public interface PaymentStatus {
        String UNCHECK = "UNCHECK";
        String CHECKED = "CHECKED";
        String REOPEN = "REOPEN";
        Map<String, String> nameMap = new HashMap<String, String>() {
            {
                put(UNCHECK, "未审");
                put(CHECKED, "已审");
                put(REOPEN, "反审");
            }
        };
    }

    public interface ContractStatus {
        String NORMAL = "NORMAL";
        String EXPIRED = "EXPIRED";
        String EXPIRED_APPLY = "EXPIRED_APPLY";
        String TERMINATED = "TERMINATED";
        String TERMINATED_APPLY = "TERMINATED_APPLY";

        Map<String, String> nameMap = new HashMap<String, String>() {
            {
                put(NORMAL, "有效");
                put(EXPIRED, "作废");
                put(EXPIRED_APPLY, "待作废");
                put(TERMINATED, "终止");
                put(TERMINATED_APPLY, "待终止");
            }
        };
    }

}
